<?php
namespace Claromentis\Mailgun\Exception;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array();
class WebhookBaseException extends \Exception
{
    protected $data = [];
    protected $error_code;
    
    
    
    
    
    
    public function SetData($data)
    {
        $this->data = $data;
        return $this;
    }
    
    
    
    
    public function GetData()
    {
        return (array) $this->data;
    }
    public function GetErrorCode()
    {
        return $this->error_code;
    }
}